Show / Hide Table of Contents

# IReadOnlyAsyncReactiveProperty<T> Interface

###### Namespace: Cysharp.Threading.Tasks

###### Assembly: cs.temp.dll.dll

    public interface IReadOnlyAsyncReactiveProperty<T> : IUniTaskAsyncEnumerable<T>

#### Type Parameters

`T`

### Members

#### Properties

Name | Description
--- | ---
Value |

#### Methods

Name | Description
--- | ---
WaitAsync(CancellationToken) |
WithoutCurrent() |

### Properties

#### Value

    T Value { get; }

##### Property Value

T

### Methods

#### WaitAsync(CancellationToken)

    UniTask<T> WaitAsync(CancellationToken cancellationToken = null)

##### Parameters

`cancellationToken` CancellationToken

##### Returns

UniTask<T>

#### WithoutCurrent()

    IUniTaskAsyncEnumerable<T> WithoutCurrent()

##### Returns

IUniTaskAsyncEnumerable<T>